0

I'm running Chaos Calmer 15.05 (openwrt firmware) in a TPLINK WDR3600 and I'm trying to install SANE + HPLIP in order to get scanner over lan network.

I installed sane-libs and sane-daemon + dependencies from official distribuition feed (for Chaos Calmer) and because HPLIP is not available for Chaos Calmer, I had to install HPLIP for 14.07 in third distribuition url, I don't know if the error below is because of this "version", but.... Well... Using sane-find-scanner I get scanner found out by the system, and scanimage -L returns me:

device `hpaio:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000SS17TR2PR1a' is a Hewlett-Packard HP_LaserJet_Professional_M1132_MFP all-in-one

Although scanimage -T returns:

scanimage: open of device hpaio:/usb/HP_LaserJet_Professional_M1132_MFP?serial=000000000SS17TR2PR1a failed: Error during device I/O

Can someone help me?

PS: Sane is returning me error:

root@OpenWrt:~# saned -d
[saned] main: starting debug mode (level 2)
[saned] saned (AF-indep+IPv6) from sane-backends 1.0.25 starting up
[saned] do_bindings: [0] bind failed: Address already in use
[saned] do_bindings: [1] bind failed: Address already in use
[saned] do_bindings: couldn't bind an address. Exiting.
[saned] FATAL ERROR; bailing out, waiting for children...
[saned] bail_out: all children exited
0

Here is how I got this to work.

I have archer C5 V1 router and the architecture is ar71xx. I also have HP PSC 2410 multi function printer and scanner. You will need hplip, sane-daemon and cups. The software is spread all over the internet.

Step 1: Install hplip and dependencies:

Use them from : http://luizluca.github.io/openwrt/15.05/ar71xx/packages/

opkg install <luizluca url>/hplip-sane_3.15.7-1_ar71xx.ipk
opkg install <luizluca url>/hplip-common_3.15.7-1_ar71xx.ipk
opkg install sane-frontends usbutils

Make sure scanner is found:

scanimage -L

Now install sane daemon:

opkg install sane-daemon
opkg install xinetd

edit /etc/xinetd.d/sane-port -- disable=no

/etc/init.d/xinetd enable
/etc/init.d/xinetd start

Make sure sane daemon is listening on port 6566:

netstat -an | grep 6566

Now install cups, as hplip is dependent on cups:

Use them from: http://downloads.openwrt.org/barrier_breaker/14.07/ar71xx/generic/packages/oldpackages/

opkg install <barrier_breaker url above>/libcups_1.5.4-1_ar71xx.ipk
opkg install <barrier_breaker url above>/libcupsmime_1.5.4-1_ar71xx.ipk
opkg install <barrier_breaker url above>/libcupscgi_1.5.4-1_ar71xx.ipk
opkg install <barrier_breaker url above>/libcupsppdc_1.5.4-1_ar71xx.ipk
opkg install <barrier_breaker url above>/cups_1.5.4-1_ar71xx.ipk

I tried to start cups daemon but gave me error on libjpeg.so.62, I had to create a sym link:

ln -s /usr/lib/libjpeg.so.9.1.0 /usr/lib/libjpeg.so.62

Now start cups daemon:

/etc/init.d/cupsd enable
/etc/init.d/cupsd start

I then installed sanetwain driver on my windows machine and was able to scan using scanimage.

here are the packages installed:

root@OpenWrt:/usr/lib# opkg list-installed | grep 'sane\|hplip\|usb'
hplip-common - 3.15.7-1
hplip-sane - 3.15.7-1
kmod-ledtrig-usbdev - 3.18.23-1
kmod-usb-core - 3.18.23-1
kmod-usb-printer - 3.18.23-1
kmod-usb-uhci - 3.18.23-1
kmod-usb2 - 3.18.23-1
libsane - 1.0.25-1
libusb-1.0 - 1.0.19-1
libusb-compat - 0.1.4-1
sane-daemon - 1.0.25-1
sane-frontends - 1.0.25-1
usbutils - 007-1

I am also using p910nd print server listening on port 9100.

With Lede project, this changes a bit (Lede version 17.01.2):

Use new URL luizluca.github.io/lede/packages-17.01/mips_24kc (need to add http in front)

opkg install (newluizluca url)/hplip-common_3.17.6-1_mips_24kc.ipk

opkg install (newluizluca url)/hplip-sane_3.17.6-1_mips_24kc.ipk

No needs to install CUPS packages.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.